#version 430 core
struct Material {
    sampler2D diffuse;
    vec3 specular;
    float shininess;
};

struct Light {  
    vec3 ambient;
    vec3 diffuse;
    vec3 specular;
};

in vec3 worldNormal;
in vec2 fragmentUV;

layout (location = 0) out vec4 fragColor;

uniform sampler2D color_texture;
uniform vec3 viewPos;
uniform vec3 lightPos; 
uniform vec3 lightColor;
uniform Material material;
uniform Light light;

void main()
{
	vec3 textureColor = texture(color_texture, fragmentUV).rgb;
	fragColor = vec4(textureColor, 1.0);
}